﻿<%@ Page Language="C#" MasterPageFile="~/RegistryReport.master" AutoEventWireup="true" 
    CodeFile="TBISurveyPatientsCountsbyCurrentSymptoms.aspx.cs" Inherits="TBISurveyPatientsCountsbyCurrentSymptoms" MaintainScrollPositionOnPostback="true" %>
<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=9.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
        Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content3" ContentPlaceHolderID="head" Runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <style type="text/css">
                .breadcrumbInstrument {
                    background-color:#6B1424;
                    border-bottom:1px solid #000;
                    color:#FFF;
                    font-family:Verdana, Geneva, Arial, Helvetica, sans-serif;
                    font-variant:small-caps;
                    font-weight:700;
                    letter-spacing:1px;
                    margin: 2px 0 2px 0;
                    padding:8px 25px 5px 10px;
                }
                
        </style>
        <script src="scripts/reportsCheckboxes.js" language="javascript" type="text/javascript"></script>
    </telerik:RadCodeBlock>
    </asp:Content>
    <asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">

    <asp:ScriptManager ID="ScriptManager1" runat="server" />

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
    
    <table border="0">
        <tr>
            <td>
                <table><tr><td>
                <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rtvDivision" /><br />
                <asp:Panel runat="server" ID="Panel1" >
                <telerik:RadTreeView ID="rtvDivision" 
                    runat="server" 
                    MultipleSelect="true" 
                    CheckBoxes="true"
                    Height="267" 
                    BorderWidth="1px"  
                    Width="505" 
                    AccessKey="t"  
                    OnClientNodeChecked="ClientNodeChecked" />
                </asp:Panel>
                </td><td>&nbsp;&nbsp;</td><td>

               <telerik:RadListBox ID="DropDownListSurveyType"
                         SelectionMode="Multiple" 
                         AutoPostBack="false" 
                         runat="server" 
                         CheckBoxes="true" 
                         ShowCheckAll="true" 
                         Width="342px" 
                         Height="120px"
                         OnClientItemChecked="CheckboxChecked">
                    <Items>
                        <%--<telerik:RadListBoxItem Value="All" Text="All"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="COMP TBI EVAL" Text="COMPREHENSIVE TBI EVALUATION"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="COMP TBI FOLLOW-UP" Text="COMPREHENSIVE TBI FOLLOW-UP"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="MPAI PARTICIPATION INDEX (M2PI)" Text="MPAI PARTICIPATION INDEX (M2PI)"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="REHABILITATION AND REINTEGRATION PLAN" Text="REHABILITATION AND REINTEGRATION PLAN"></telerik:RadListBoxItem>--%>
                        <telerik:RadListBoxItem Value="All" Text="All"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="COMPREHENSIVE TBI EVALUATION" Text="COMPREHENSIVE TBI EVALUATION"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="TBI FOLLOW-UP ASSESSMENT" Text="COMPREHENSIVE TBI FOLLOW-UP"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="MPAI-4 PARTICIPATION INDEX (M2PI)" Text="MPAI PARTICIPATION INDEX (M2PI)"></telerik:RadListBoxItem>
                        <telerik:RadListBoxItem Value="REHABILITATION AND REINTEGRATION PLAN" Text="REHABILITATION AND REINTEGRATION PLAN"></telerik:RadListBoxItem>
                    </Items>
                </telerik:RadListBox>

                <br />
                <asp:Label ID="lblYear" runat="server" Text="Fiscal Year:" Font-Bold="true" AssociatedControlID="DropDownListFiscalYear"></asp:Label>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <asp:Label ID="lblFiscalQuarter" runat="server" Text="Fiscal Quarter:" Font-Bold="true" AssociatedControlID="DropDownListFiscalQuarter"></asp:Label>&nbsp;&nbsp;
                    
                <br />
                <telerik:RadListBox ID="DropDownListFiscalYear" runat="server" SelectionMode="Multiple" 
                     AutoPostBack="false" CheckBoxes="true"  
                     ShowCheckAll="true" Width="180px" Height="120px"
                     OnClientItemChecked="CheckboxChecked">
                </telerik:RadListBox>&nbsp;

                <asp:Label ID="lblYearValidator" runat="server" ForeColor="Red"  Text="Please select a Year before proceeding." Font-Bold="true" Visible="false"></asp:Label>
                &nbsp;
                <telerik:RadListBox ID="DropDownListFiscalQuarter" runat="server" SelectionMode="Multiple" 
                        AutoPostBack="false" CheckBoxes="true" ShowCheckAll="true"  
                        visible="true" Height="120px" style="margin-left: 0px" Width="155px"
                        OnClientItemChecked="CheckboxChecked">
                        <Items>            
                            <telerik:RadListBoxItem Value="All" Text="All"></telerik:RadListBoxItem>
                            <telerik:RadListBoxItem Value="1" Text="1"></telerik:RadListBoxItem>
                            <telerik:RadListBoxItem Value="2" Text="2"></telerik:RadListBoxItem>
                            <telerik:RadListBoxItem Value="3" Text="3"></telerik:RadListBoxItem>
                            <telerik:RadListBoxItem Value="4" Text="4"></telerik:RadListBoxItem>
                        </Items>
                </telerik:RadListBox>
                     <br />

                    &nbsp;&nbsp;&nbsp;<asp:CheckBox ID="chkCumulativeReport" runat="server" Text="Cumulative Report" ></asp:CheckBox>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <asp:Button ID="ButtonRunReport" runat="server" Text="Run Report" Width="142px" Enabled="true" CommandName="Click" onclick="Button1_Click" />
                   
                    </td></tr>
       
                </table>
            </td>
       </tr>

        <tr><td>
            <div style="margin-left:2px;margin-top:2px; width:955px; padding-top:10px;float:left;display:block">
                <rsweb:reportviewer ID="ReportViewer1" runat="server" Font-Names="Verdana" ShowParameterPrompts="false" 
                  Font-Size="8pt" Width="955px" EnableHyperlinks="True">
                   <ServerReport ReportPath="" />
                </rsweb:reportviewer>
            </div>
        </td><td></td></tr>
    </table>

    </telerik:RadCodeBlock>
 </asp:Content>










