﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class SSNAndFacilitySelect : System.Web.UI.UserControl
{

    /// <summary>
    /// return selected level
    /// </summary>
    public string SSN
    {
        get
        {
            string ssn = txtBoxSSN.Text.Trim();
            string ssnOut = String.Empty;

            if (!String.IsNullOrEmpty(ssn))
            {
                ssnOut = string.Format("{0}-{1}-{2}", ssn.Substring(0, 3), ssn.Substring(3, 2), ssn.Substring(5, 4));
            }
            return ssnOut;
        }
    }

    /// <summary>
    /// return selected facility
    /// </summary>
    public string FacilityStationNumber
    {
        get { 
            return this.ddlVISNFacility.SelectedValue.Trim(); 
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //divVISN.Visible = true;
            //divStation.Visible = true;
            //ddlVISN.SelectedIndex = 0;
        }
    }

}
